Queue document generation asynchronously

Queues a document generation job for asynchronous processing.

The request body defines the input data, optional attachments, theme, and webhook configuration. If webhooks are provided, the system will deliver results via those URLs when processing completes.

Webhook behavior

  • webhooks.onSuccess[] → triggered when generation completes successfully.
  • webhooks.onError[] → triggered when generation fails.

The endpoint immediately returns 202 Accepted with a unique documentGenerationId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The id of the unit.

string
required

The id of the recipe.

Query Params
string

The requested content type of the generated file. This takes precedence over the Accept header.

string

The requested filename of the generated file. This takes precedence over a dynamic filename configuration on the recipe.

boolean
Defaults to false

If data should be cascaded into nested recipes from recipe references. If true, values are expected to be a mostly-flat structure, without nested recipe content.

string
Body Params
values
object
required

Key/value pairs used to populate the document template.

documentAttachments
array of objects

Optional attachments (e.g., PDFs) to include during generation.

documentAttachments
theme
object
webhooks
object | null

Optional webhook definitions for success/error outcomes.

Headers
string
enum

Output file type, used if compatible. */* is the original recipe format.

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json